GET /data/v1/metrics/{METRIC_ID}/overall

mux.com

Summary: Get Overall values
Operation ID: get-overall-values
Auth: unknown
Description

Returns the overall value for a specific metric, as well as the total view count, watch time, and the Mux Global metric value for the metric.

Parameters (4)

METRIC_ID (string, path, required)

ID of the Metric

Constraints: {'enum': ['aggregate_startup_time', 'downscale_percentage', 'exits_before_video_start', 'live_stream_latency', 'max_downscale_percentage', 'max_upscale_percentage', 'page_load_time', 'playback_failure_percentage', 'playback_failure_score', 'player_startup_time', 'playing_time', 'rebuffer_count', 'rebuffer_duration', 'rebuffer_frequency', 'rebuffer_percentage', 'rebuffer_score', 'requests_for_first_preroll', 'seek_latency', 'startup_time_score', 'unique_viewers', 'upscale_percentage', 'video_quality_score', 'video_startup_preroll_load_time', 'video_startup_preroll_request_time', 'video_startup_time', 'viewer_experience_score', 'views', 'weighted_average_bitrate', 'video_startup_failure_percentage']}

filters[] (array, query, optional)

Limit the results to rows that match conditions from provided key:value pairs. Must be provided as an array query string parameter. To exclude rows that match a certain condition, prepend a `!` character to the dimension. Possible filter names are the same as returned by the List Filters endpoint. Example: * `filters[]=operating_system:windows&filters[]=!country:US`

measurement (string, query, optional)

Measurement for the provided metric. If omitted, the default for the metric will be used.

Constraints: {'enum': ['95th', 'median', 'avg', 'count', 'sum']}

timeframe[] (array, query, optional)

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=). Accepted formats are... * array of epoch timestamps e.g. `timeframe[]=1498867200&timeframe[]=1498953600` * duration string e.g. `timeframe[]=24:hours or timeframe[]=7:days`

No probe data for this endpoint yet.